Subject: Re: bug#50279: 28.0.50; ffap-file-finder customization no longer works

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 06 Sep 2022 12:25:31 +0200

Bob Rogers <[email-masked]> writes:

>    But of course resolving my issue without breaking dickmao's issue is
> beyond my pay grade.  ;-}  Though I do notice that ffap.el already has
>
> 	(memq ffap-file-finder '(find-file find-alternate-file))
>
> as a way of testing for arg-handling capability.  But maybe that's
> enough of a code smell.

Yeah, the ffap code is kinda gross.

I think I've now fixed this in Emacs 29 by restoring the old code in
ffap and adjusting the hooks in ido instead.  Can you check whether this
fixed the problem for you?